
Efl_Ui_Tab_Bar_Default_Item *_efl_ui_tab_page_tab_bar_item_get(const Eo *obj, Efl_Ui_Tab_Page_Data *pd);

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_tab_page_tab_bar_item_get, Efl_Ui_Tab_Bar_Default_Item *, NULL);

Efl_Object *_efl_ui_tab_page_efl_object_constructor(Eo *obj, Efl_Ui_Tab_Page_Data *pd);


void _efl_ui_tab_page_efl_object_destructor(Eo *obj, Efl_Ui_Tab_Page_Data *pd);


Eina_Bool _efl_ui_tab_page_efl_content_content_set(Eo *obj, Efl_Ui_Tab_Page_Data *pd, Efl_Gfx_Entity *content);


Efl_Gfx_Entity *_efl_ui_tab_page_efl_content_content_get(const Eo *obj, Efl_Ui_Tab_Page_Data *pd);


Efl_Gfx_Entity *_efl_ui_tab_page_efl_content_content_unset(Eo *obj, Efl_Ui_Tab_Page_Data *pd);


static Eina_Bool
_efl_ui_tab_page_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_TAB_PAGE_EXTRA_OPS
#define EFL_UI_TAB_PAGE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_tab_page_tab_bar_item_get, _efl_ui_tab_page_tab_bar_item_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_tab_page_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_tab_page_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_content_set, _efl_ui_tab_page_efl_content_content_set),
      EFL_OBJECT_OP_FUNC(efl_content_get, _efl_ui_tab_page_efl_content_content_get),
      EFL_OBJECT_OP_FUNC(efl_content_unset, _efl_ui_tab_page_efl_content_content_unset),
      EFL_UI_TAB_PAGE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_tab_page_class_desc = {
   EO_VERSION,
   "Efl.Ui.Tab_Page",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Tab_Page_Data),
   _efl_ui_tab_page_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_tab_page_class_get, &_efl_ui_tab_page_class_desc, EFL_UI_LAYOUT_BASE_CLASS, EFL_CONTENT_INTERFACE, NULL);
